Frage LTS-Enablement-Stacks - Soll ich quantal, raring oder saucy verwenden?


Ich habe Kubuntu 12.04 von einer Beta-ISO installiert und seitdem habe ich es aktualisiert. Ich möchte jedoch jetzt den Hardwarefreigabestapel für Precise aktivieren.

Ich habe zwei Fragen:

Erstens, wie entscheide ich mich zwischen den Versionen? Zum Beispiel, zwischen quantal, raring oder freak würde ich einfach das Neueste wählen? (Und ist für diesen Zweck noch frech verfügbar?)

sudo apt-get install linux-generic-lts-raring xserver-xorg-lts-raring 

oder

sudo apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy

Zweitens, wenn ich mich für den Hardware-Aktivierungs-Stack mit der neuen Version entscheide, wird es dann Schwierigkeiten oder Herausforderungen geben, sich auf die freche Version oder spätere Releases zu begeben? Und was müsste ich zu dieser Zeit tun?


4
2017-09-03 14:09


Ursprung


@ Braiam-I habe 12.04 vor langer Zeit installiert! ;-) - MountainX


Antworten:


Die Wahl zwischen quantal, raring und flippig liegt ganz bei dir, aber diese Stacks sind nach dem Release benannt, in dem sie enthalten sind. Daher ist der freche Stack derzeit nicht veröffentlicht und sollte als ungeeignet für die Produktion betrachtet werden.

Der Wechsel zwischen Stapeln ist möglich. Sie sind schließlich nur Pakete.

Das einzige wirklich schlimme Szenario beginnt am 12.04., 13.04's HWE installieren und dann die Distribution auf 12.10 upgraden. Ihr X-Stack wäre neuer als der Rest des Systems in einer ungetesteten Konfiguration. Ich würde empfehlen, die HWE-Stack-Pakete vor dem Upgrade zu entfernen.

Ein Standard-LTS-Upgrade (z. B. auf 14.04) ist in Ordnung, obwohl Sie das HWE möglicherweise manuell aktualisieren müssen. Ich sollte auch darauf hinweisen, dass 14.04, die einzigen zwei Stacks, die für 12.04 unterstützt werden, der originale Stack und 14.04's sind (welche weiterhin für die verbleibenden 3 Jahre der 12.04-Lebensdauer unterstützt werden).


4
2017-09-03 14:33



also könnte ich jetzt den HWE-Stack für raring installieren und wenn saucy veröffentlicht wird, würde ich es tun apt-get remove linux-generic-lts-raring xserver-xorg-lts-raring und apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy. Richtig? - MountainX
Auch wenn 14.04 herauskommt, plane ich ein Upgrade von 12.04 auf 14.04. Ich nehme an, wenn ich einen HWE-Stack installiert habe, müsste ich ihn entfernen, um das Upgrade auf 14.04 durchzuführen. Richtig? - MountainX
1) Wenn du auf den unverschämten HWE-Stack upgraden wolltest, ja. 2) Ich bin ehrlich gesagt nicht sicher, was die Situation für große Upgrades sein wird. Ich nehme an, dass sie vom Installer automatisch entfernt werden, aber selbst wenn dies nicht der Fall ist, werden sie von den Versionen von 14.04 übertroffen, was keinen Konflikt verursachen sollte. Es kostet sehr wenig Zeit, sie zu entfernen, bevor die Dinge getan werden, so dass dies nur eine sicherere Methode sein könnte. - Oli♦